package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcContractPaymentMapper;
import com.ruoyi.oa.domain.CmcContractPayment;
import com.ruoyi.oa.service.ICmcContractPaymentService;

/**
 * cmc合同回款Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-19
 */
@Service
public class CmcContractPaymentServiceImpl implements ICmcContractPaymentService 
{
    @Autowired
    private CmcContractPaymentMapper cmcContractPaymentMapper;

    /**
     * 查询cmc合同回款
     * 
     * @param contractId cmc合同回款主键
     * @return cmc合同回款
     */
    @Override
    public List<CmcContractPayment> selectCmcContractPaymentByContractId(String contractId)
    {
        return cmcContractPaymentMapper.selectCmcContractPaymentByContractId(contractId);
    }

    /**
     * 查询cmc合同回款列表
     * 
     * @param cmcContractPayment cmc合同回款
     * @return cmc合同回款
     */
    @Override
    public List<CmcContractPayment> selectCmcContractPaymentList(CmcContractPayment cmcContractPayment)
    {
        return cmcContractPaymentMapper.selectCmcContractPaymentList(cmcContractPayment);
    }

    /**
     * 新增cmc合同回款
     * 
     * @param cmcContractPayment cmc合同回款
     * @return 结果
     */
    @Override
    public int insertCmcContractPayment(CmcContractPayment cmcContractPayment)
    {
        return cmcContractPaymentMapper.insertCmcContractPayment(cmcContractPayment);
    }

    /**
     * 修改cmc合同回款
     * 
     * @param cmcContractPayment cmc合同回款
     * @return 结果
     */
    @Override
    public int updateCmcContractPayment(CmcContractPayment cmcContractPayment)
    {
        return cmcContractPaymentMapper.updateCmcContractPayment(cmcContractPayment);
    }

    /**
     * 批量删除cmc合同回款
     * 
     * @param contractIds 需要删除的cmc合同回款主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractPaymentByContractIds(String[] contractIds)
    {
        return cmcContractPaymentMapper.deleteCmcContractPaymentByContractIds(contractIds);
    }

    /**
     * 删除cmc合同回款信息
     * 
     * @param contractId cmc合同回款主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractPaymentByContractId(String contractId)
    {
        return cmcContractPaymentMapper.deleteCmcContractPaymentByContractId(contractId);
    }
}
